applogin/urls.py
from django.urls import path
from .views import home,regis,lobby,logout_req

app_name="applogin"

urlpatterns = [
    path('',home,name="home"),
    path('regis/',regis,name="registrasi"),
    path('lobby/',lobby,name="lobby"),
    path('logout/',logout_req,name="logout")
]

storylogin/urls.py
from django.contrib import admin
from django.urls import path,include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('',include('applogin.urls')),
]

applogin/models.py
from django.db import models

# Create your models here.

applogin/forms.py
from django import forms
from django.contrib.auth.models import User

class formUser(forms.ModelForm):
    username=forms.CharField(widget=forms.TextInput(attrs={'placeholder' :'Masukan Username','id':'forms','id':'username'}))
    email=forms.CharField(widget=forms.TextInput(attrs={'placeholder' :'Masukan E-mail','class':'forms','id':'email'}))
    password=forms.CharField(widget=forms.PasswordInput(attrs={'placeholder' :'Masukan Password','class':'forms','id':'password'}))
    class Meta:
        model=User
        fields=['username','email','password']

class loginUser(forms.Form):
    username=forms.CharField(widget=forms.TextInput(attrs={'placeholder' :'Masukan Username','id':'forms','id':'username'}))
    password=forms.CharField(widget=forms.PasswordInput(attrs={'placeholder' :'Masukan Password','class':'forms','id':'password'}))
    class Meta:
        model=User
        fields=['username','password']

applogin/views.py
from django.shortcuts import render,redirect
from .forms import formUser,loginUser
import datetime
from django.contrib import messages
from django.contrib.auth.forms import AuthenticationForm
from django.contrib.auth import login,logout,authenticate

def home(request):
    if request.method=="POST":
        form=AuthenticationForm(request,data=request.POST)
        if form.is_valid():
            username = form.cleaned_data.get('username','')
            password = form.cleaned_data.get('password','')
            user = authenticate(username=username, password=password)
            if user is not None:
                login(request,user)
                messages.info(request,f"Congratulations, you're login now{username}")
                return render(request,'lobby.html',{
                    "message":username
                })
            else:
                messages.error(request,"There is some error in username or password")

        else:
            messages.error(request,"There is some error in username or password")
    form=AuthenticationForm()
    return render(request,'home.html',{"form":form})

def regis(request):
    
    
    if(request.method == "POST"):
        form=formUser(request.POST)
        if form.is_valid():
            
            user =form.save(commit=False)
            username=request.Post.cleaned_data.get("username")
            email=request.Post.cleaned_data.get("email")
            password=request.Post.cleaned_data.get("password")
            # User.objects.create_user(username, password=password, **validated_data)
            user.save()
            return redirect("lobby")
        else:
            return redirect("/")
        
        
    form = formUser()

    # list_status = Statuss.objects.all()
    
        
    
    context = {
        'formRegis':form,
        # 'list_status': list_status
    }
    return render(request,"regis.html",context)

def lobby(request):
    return render(request,"lobby.html")

def logout_req(request):
    logout(request)
    return redirect("applogin:home")

applogin/templates/home.html
{% load static from staticfiles %}
<!DOCTYPE html>
{% load static %}
<html lang="en" class="b-white">
    <head>
            <link rel="stylesheet" href="{%static '/css/style.css'%}">
        <title>LoginTes</title>
    </head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
    <body>
            <div id=realHeader>
                    <p id ="textt">Lab 9</p>
                </div>
            <br>
        {% if user.is_authenticated %}
            <meta http-equiv="Refresh" content="0; url={% url 'applogin:lobby' %}" />
        
        {% endif %}
        
        <form method="POST">
            {% csrf_token %}
            {{form}}
            
            <button >Login</button>
        </form>
        <br>
        <a href="{% url 'applogin:registrasi' %}"><strong>Belum Mempunyai Akun?</strong></a>

        <br><br>
        <p> akun yang saat ini hanya superuser dari django, yaitu:<br>
            Username=teslogin <br>
            Password=teslogin<br>
            Tes dapat dilakukan dengan melakukan login menggunakan user yang dibuat pada halaman /admin
        </p>
        
    </body>
</html>

applogin/templates/lobby.html
{% load static from staticfiles %}
<!DOCTYPE html>
{% load static %}
<html lang="en" class="b-white">
    <head>
        <title>LoginTes</title>
        <link rel="stylesheet" href="{%static '/css/style.css'%}">
    </head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
    <body>
            <div id=realHeader>
                    <p id ="textt">Lab 9</p>
                </div>
                <br>
        {% csrf_token %}
        {% if user.is_authenticated %}
        <p>Selamat kamu berhasil login {{message}}(nama akun)</p>
        <form action="logout" method="GET">
                <a href="{% url 'applogin:logout' %}"><strong>Logout</strong></a>
        </form>
      {% else %}
        <meta http-equiv="Refresh" content="0; url={% url 'applogin:home' %}" />
        <p>Please login to see this page.</p>
        <a href="{% url 'applogin:home' %}"><strong>Login</strong></a>
      {% endif %}
        
        
    </body>
</html>

applogin/templates/regis.html
{% load static from staticfiles %}
<!DOCTYPE html>
{% load static %}
<html lang="en" class="b-white">
    <head>
        <link rel="stylesheet" href="{%static '/css/style.css'%}">
        <title>LoginTes</title>
    </head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
    <body>
            <div id=realHeader>
                    <p id ="textt">Lab 9</p>
                </div>

            <br>
        
        <form id="formdaftar" method="POST">
        <!-- {{ formRegis }} -->
        {% csrf_token %}
        {% for field in formRegis  %}
            <!-- {{ field.errors }} -->
            <!-- <input type="text"> -->
            {{ field.label_tag }}{{ field }}
            <br>
            <br>
        {% endfor %}
        <button type="submit", id="regbtn">Register</button>
        </form>
    </body>
    <script>
        
        
    </script>
</html>